Bug 446650 - Review Request: lwp - LWP thread library
Review Request: lwp - LWP thread library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 446651
  Show dependency treegraph
 
Reported: 2008-05-15 11:06 EDT by Hans de Goede
Modified: 2009-09-09 12:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-16 18:13:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2008-05-15 11:06:27 EDT
Spec URL: http://people.atrpms.net/~hdegoede/lwp.spec
SRPM URL: http://people.atrpms.net/~hdegoede/lwp-2.4-1.fc10.src.rpm
Description:
The LWP userspace threads library. The LWP threads library is used by the Coda
distributed filesystem, RVM (a persistent VM library), and RPC2/SFTP (remote
procedure call library)
Comment 1 Peter Lemenkov 2008-05-15 11:11:56 EDT
Quite simple for packaging :)
I'll review it.
Comment 2 Peter Lemenkov 2008-05-16 05:46:12 EDT
REVIEW:

+ rpmlint is not silent but produces only one warning (may be safely omitted):

[petro@localhost SPECS]$ rpmlint ../RPMS/i386/lwp-*
lwp-devel.i386: W: no-documentation
[petro@localhost SPECS]$

+ The package is named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package licensed with a Fedora approved license and meet the Licensing
Guidelines.
+ The License field in the package spec matches the actual license.
+ File, containing the text of the license(s) for the package is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source, as provided
in the spec URL.

[petro@localhost SOURCES]$ md5sum lwp-2.4.tar.gz*
5bd3221562de580d51f18c547f7606e3  lwp-2.4.tar.gz
5bd3221562de580d51f18c547f7606e3  lwp-2.4.tar.gz.1
[petro@localhost SOURCES]$ 

+ The package successfully compiled and built into binary rpms on at least one
supported architecture (i386).
+ No build dependencies.
+ The package calls ldconfig in %post and %postun. 
+ A package owns all directories that it creates.
+ A package does not contain any duplicate files in the %files listing.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
+ The package consistently uses macros, as described in the macros section of
Packaging Guidelines.
+ The package contains code, or permissable content.
+ Everything a package includes as %doc, does not affect the runtime of the
application. 
+ Header files are in a -devel package.
+ Package is 'Requires: pkgconfig' (for directory ownership and usability).
+ The library files that end in .so (without suffix) are in a -devel package.
+ The devel package requires the base package using a fully versioned
dependency: Requires: %{name} = %{version}-%{release} 
+ Package does NOT contain any .la libtool archives.
+ Not a GUI app.
+ Package does not own files or directories already owned by other packages. 
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

To review this package was easy and now it's 

APPROVED.
Comment 3 Hans de Goede 2008-05-16 08:33:23 EDT
New Package CVS Request
=======================
Package Name:      lwp
Short Description: LWP thread library
Owners:            jwrdegoede
Branches:          F-8 F-9
InitialCC: 
Cvsextras Commits: Yes
Comment 4 Hans de Goede 2008-05-16 08:35:10 EDT
p.s. Peter, thanks!
Comment 5 Kevin Fenzi 2008-05-16 11:45:55 EDT
cvs done.
Comment 6 Hans de Goede 2008-05-16 18:13:26 EDT
Imported and build for F-8 F-9 devel, will get pushed as update for F-8 and F-9
together with the rest of the coda stack once coda itself has been built too.
Comment 7 Adam Goode 2009-09-08 17:05:27 EDT
Package Change Request
======================
Package Name: lwp
New Branches: EL-5
Owners: agoode nhorman
Comment 8 Kevin Fenzi 2009-09-09 12:23:49 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.